%define dist Email-Valid
Name: perl-%dist
Version: 0.176
Release: alt1

Summary: Check validity of Internet email addresses 
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.bz2

# clarify dependencies
Patch0: %name-0.176-alt-req.patch

BuildArch: noarch

# Added by buildreq2 on Fri Aug 11 2006
BuildRequires: perl-MailTools perl-Net-DNS perl-Net-Domain-TLD perl-Test-Pod

%description
This module determines whether an email address is well-formed,
and optionally, whether a mail host exists for the domain.

%prep
%setup -q -n %dist-%version
%patch0 -p1

%build
%def_without test
%perl_vendor_build

# MX and TLD tests fail without networking
make test ||:

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/Email*

%changelog
* Fri Aug 11 2006 Alexey Tourbin <at@altlinux.ru> 0.176-alt1
- 0.15 -> 0.176

* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.15-alt1.1                           
- Rebuilt with rpm-build-perl-0.5.1.

* Mon Aug 30 2004 Alexey Tourbin <at@altlinux.ru> 0.15-alt1
- initial revision (this module is needed for otrs)
